/*
 * amati-gpio-power-button.dtsi - Adds the power-controller line effectively
 * controlled by the power button to gpio-keys
 *
 * Copyright (c) 2018 Sensics, Inc. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 */

#include <dt-bindings/gpio/gpio.h>
#include <dt-bindings/gpio/tegra186-gpio.h>

/ {
	gpio-keys {
		// When the power button is pressed, this line (controlled by the power IC)
		// goes low.
		bower-button {
			label = "Power Button";
			gpios = <&tegra_main_gpio TEGRA_MAIN_GPIO(Y, 6) GPIO_ACTIVE_LOW>;
			linux,code = <KEY_POWER>;
			gpio-key,wakeup;
		};
	};
};
